Documentation Index

Fetch the complete documentation index at: https://documents.trocco.io/llms.txt

Use this file to discover all available pages before exploring further.

dbtジョブ設定詳細取得

Prev Next
Get
/api/dbt_job_definitions/{dbt_job_definition_id}

dbtジョブ設定の詳細を取得します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Path parameters
dbt_job_definition_id
integer (int64) Required

dbtジョブ設定ID

Responses
200

指定したdbtジョブ設定の詳細を返します。

Expand All
object
id
integer (int64)

dbtジョブ設定ID

Example1
name
string

dbtジョブ設定名

Max length255
Examplesample_dbt_job
description
string | null

メモ

Exampleサンプルジョブ
resource_group_id
integer (int64) | null

リソースグループID

Example1
adapter_type
string

アダプタータイプ

Valid values[ "bigquery", "snowflake", "redshift" ]
Examplebigquery
dbt_git_repository_id
integer (int64)

dbt GitリポジトリID

Example1
threads
integer

並列実行スレッド数

Minimum1
Maximum16
Example1
target
string

dbt profileのtarget名

Exampletrocco_default
bigquery_setting
object | null

BigQueryアダプタ設定

connection_id
integer (int64)

BigQuery接続情報ID

Example1
dataset
string

データセット

Examplemy_dataset
location
string

ロケーション

Exampleasia-northeast1
snowflake_setting
object | null

Snowflakeアダプタ設定

connection_id
integer (int64)

Snowflake接続情報ID

Example1
warehouse
string

ウェアハウス名

ExampleCOMPUTE_WH
database
string

データベース名

ExampleANALYTICS
schema
string

スキーマ名

ExamplePUBLIC
role
string | null

ロール名

ExampleTRANSFORMER
redshift_setting
object | null

Redshiftアダプタ設定

connection_id
integer (int64)

Redshift接続情報ID

Example1
database
string

データベース名

Exampleanalytics
schema
string

スキーマ名

Examplepublic
commands
Array of object

dbtコマンド一覧

object
command
string

dbtサブコマンド

Valid values[ "build", "deps", "run", "run-operation", "seed", "snapshot", "source-freshness", "test" ]
Examplerun
value
string | null

サブコマンド引数

Examplemy_model
options
Array of object

コマンドオプション一覧

object
key
string

オプションキー

Example--vars
value
string | null

オプション値

Examplefoo=bar
custom_variable_settings
Array of object

カスタム変数設定一覧

object
name
string

カスタム変数の変数名を指定します。
変数名を$で囲ってください。

Example$start_time$
type
string

カスタム変数タイプです。
string: 文字列
timestamp: 時刻・日付(キューイング時)
timestamp_runtime: 時刻・日付(実行時)

Valid values[ "string", "timestamp", "timestamp_runtime" ]
Exampletimestamp_runtime
value
string

カスタム変数名を展開する値を指定します。
カスタム変数タイプがstringのときのみ有効です。

Examplejobs
quantity
integer (int64)

unit 時間の数を指定します。
カスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。

Example1
unit
string

時間の単位を指定します。
タイプがtimestampかtimestamp_runtime のときのみ有効です。
month_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。

Valid values[ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ]
Examplehour
direction
string

時間軸の方向です。
ago: 前
later: 後
タイプがtimestampかtimestamp_runtime のときのみ有効です。

Valid values[ "ago", "later" ]
Exampleago
format
string

日付フォーマットです。
タイプがtimestampかtimestamp_runtime のときのみ有効です。

Example%Y-%m-%d %H:%M:%S
time_zone
string

日付フォーマットの日時を解釈するタイムゾーンです。
タイプがtimestampかtimestamp_runtime のときのみ有効です。

ExampleEtc/UTC
created_at
string

作成日時

Example2026-05-19T18:00:00+00:00
updated_at
string

更新日時

Example2026-05-19T18:00:00+00:00
created_by
object | null

作成ユーザー

id
integer (int64)

ユーザーID

Example1
email
string

メールアドレス

Exampleuser@example.com
400

/api系の共通エラーレスポンス

object
message
string
Example不正なリクエストです。
401

認証エラー

object
message
string
Exampleアカウント登録もしくはログインしてください。
404

指定したdbtジョブ設定が存在しません。